High Priest Biotin:
To change profession to Cleric, your level must at least be 20 and you must pass the Test of the Cleric. Even when you have passed the test, though, you cannot change profession here. It is important that those who are ready for a new profession should have experienced some of the wider world.
To change profession, you should go to the Kingdom of Aden by boat. There is a harbor southwest of here -- take a boat there that goes to the village of Gludin. Get off at the village of Gludin and visit the temple to meet High Priestess Levian. High Priestess Levian will test your ability and, if you are ready, can change your profession to Cleric.
Or, you can visit High Priest Raymond in the town of Gludio, to the west of the village of Gludin.
Return